  private void populateVideoPortraitCreative(GeminiAdAsset geminiAdAsset, Creative creative) {
      NativeAssets nativeAssets = creative.getDetails().getNativeDetails().iterator().next().getNativeAssets();
      creative.setCreativeTypeId(CreativeType.NATIVE_VIDEO.getId());
      creative.setFormatValue(CreativeFormatEnum.PORTRAIT.getFormatValue());
      creative.setFormatType(CreativeFormatEnum.PORTRAIT.getFormatType());
      nativeAssets.setCreativeFileUrl(geminiAdAsset.getVideoPortraitUrl());
      nativeAssets.setImageUnsecuredUrl(geminiAdAsset.getImagePortraitUrl());
      nativeAssets.setImageSecuredUrl(geminiAdAsset.getImagePortraitUrl());
      nativeAssets.setYcsHttpsFileUrl(geminiAdAsset.getVideoPortraitUrl());
  }

  private void populateImagePortraitCreative(GeminiAdAsset geminiAdAsset, Creative creative) {
      NativeAssets nativeAssets = creative.getDetails().getNativeDetails().iterator().next().getNativeAssets();
      creative.setFormatValue(CreativeFormatEnum.PORTRAIT.getFormatValue());
      creative.setFormatType(CreativeFormatEnum.PORTRAIT.getFormatType());
      nativeAssets.setImageSecuredUrl(geminiAdAsset.getImagePortraitUrl());
      nativeAssets.setImageUnsecuredUrl(geminiAdAsset.getImagePortraitUrl());
  }